Package org.eclipse.lemminx.extensions.xsd

## Class DataType

- java.lang.Object
- - org.eclipse.lemminx.extensions.xsd.DataType

    public class DataType
    extends Object

### Constructor Summary

Constructors
`DataType​(String name, String url)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static DataType` `getDataType​(String name)`
`static Collection<DataType>` `getDataTypes()`
`String` `getDocumentation()`
`static String` `getDocumentation​(DOMAttr attr)`
`String` `getName()`
`String` `getUrl()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataType

    public DataType​(String name,
                    String url)

### Method Detail

#### getDataType

    public static DataType getDataType​(String name)

#### getDataTypes

    public static Collection<DataType> getDataTypes()

#### getName

    public String getName()

#### getUrl

    public String getUrl()

#### getDocumentation

    public String getDocumentation()

#### getDocumentation

    public static String getDocumentation​(DOMAttr attr)